##### Coverage Report - org.apache.commons.configuration.ConfigurationComparator

Classes in this File | Line Coverage | Branch Coverage | Complexity

ConfigurationComparator

N/A | N/A

N/A | N/A

1.0;1

1

     /*

2

      * Licensed to the Apache Software Foundation (ASF) under one or more

3

      * contributor license agreements.  See the NOTICE file distributed with

4

      * this work for additional information regarding copyright ownership.

5

      * The ASF licenses this file to You under the Apache License, Version 2.0

6

      * (the "License"); you may not use this file except in compliance with

7

      * the License.  You may obtain a copy of the License at

8

      *

9

      *     http://www.apache.org/licenses/LICENSE-2.0

10

      *

11

      * Unless required by applicable law or agreed to in writing, software

12

      * distributed under the License is distributed on an "AS IS" BASIS,

13

      * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

14

      * See the License for the specific language governing permissions and

15

      * limitations under the License.

16

      */

17

18

     package org.apache.commons.configuration;

19

20

     /**

21

      * Comparator for configurations interface.

22

      *

23

      * @since 1.0

24

      *

25

      * @author <a href="mailto:herve.quiroz@esil.univ-mrs.fr">Herve Quiroz</a>

26

      * @version $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $

27

      */

28

     public interface ConfigurationComparator

29

     {

30

         /**

31

          * Compare two configuration objects.

32

          *

33

          * @param a the first configuration

34

          * @param b the second configuration

35

          * @return true if the two configurations are identical according to

36

          *         the implemented rules

37

          */

38

         boolean compare(Configuration a, Configuration b);

39

     }

40